#include	<avr/io.h>
#include	<avr/interrupt.h>

#define		NUM_EVENT	5

#define		REQUEST		1
#define		NOT_REQUEST	-1
#define		REPLY		0

volatile	int	req_INT0 = REQUEST, req_INT1 = NOT_REQUEST;

ISR(INT0_vect)
{	static  long  event = 0;

	if(req_INT0 == REQUEST){
		event++;
		if(event>=NUM_EVENT){
			event = 0;
			req_INT0 = REPLY;
		}
	}
}

ISR(INT1_vect)
{	static  long  event = 0;

	if(req_INT1 == REQUEST){
		event++;
		if(event >= NUM_EVENT){
			event = 0;
			req_INT1 = REPLY;
		}
	}
}

int	main(void)
{
	EIMSK |= 1<<INT0 | 1<<INT1;	// ܺ ͷƮ0, ܺ ͷƮ1 Ȱȭ
	PORTD |= 1<<INT0 | 1<<INT1;	// INT0, INT1  ο Ǯ  
	EICRA = 2<<ISC00 | 3<<ISC10;// INT0 ϰ, INT1 ¿ ͷƮ
	DDRA |= 1<<PA0;				// PA0, PA1   
	sei();

	while(1){
		if(req_INT0 == REPLY){
		 	PORTA ^= 1<<PA0;	// INT0 ϸ PA0 Ʈ  
			req_INT0 = NOT_REQUEST;	// req_INT0 û 
			req_INT1 = REQUEST;	// req_INT1 û
		}else if(req_INT1 == REPLY){
		 	PORTA ^= 1<<PA0;	// INT1 ϸ PA0 Ʈ  
			req_INT0 = REQUEST;	// req_INT0 û
			req_INT1 = NOT_REQUEST;	// req_INT1 û 
  		}
	}
}
