#include	<avr/io.h>
#include	<avr/interrupt.h>

volatile int	ac_result=0;

ISR(ANALOG_COMP_vect)
{	ac_result = ( ACSR & (1<<ACO) ) ? 0 : 1;	}

void enable_ac(void)
{	// + (AIN0/PE2) :  ̿  
	// - (AIN1/PE3) : Ʈ ̹  
	// ͷƮ ߻  (0, 0) : VCO  ٲ  ߻
	ACSR = 1<<ACIE;
}

int	main(void)
{
	DDRC |= 1<<PC0;	// PC0  

	enable_ac();
	sei();		// start global interrupt

	while(1){
		PORTC = (PORTC & ~(1<<PC0)) | (ac_result<<PC0);
	}
	return 0;
}
